using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Project.Dialog
{
    public partial class fWebView : Form
    {
        public string url { get; set; }
        public fWebView(string url)
        {
            InitializeComponent();
            this.url = url;
            this.WindowState = FormWindowState.Maximized;
        }

        private void fWebView_Load(object sender, EventArgs e)
        {
            this.chromiumWebBrowser1.Load(this.url);
        }

        private void chromiumWebBrowser1_FrameLoadEnd(object sender, CefSharp.FrameLoadEndEventArgs e)
        {
            toolStripStatusLabel1.Text = e.Url;
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            this.chromiumWebBrowser1.Load(this.url);
        }
    }
}
